Package org.apache.cxf.interceptor

# Class AttachmentInInterceptor

java.lang.Object
org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
org.apache.cxf.interceptor.AttachmentInInterceptor

All Implemented Interfaces:
  `Interceptor<Message>`, `PhaseInterceptor<Message>`

public class AttachmentInInterceptor extends AbstractPhaseInterceptor<Message>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachmentInInterceptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected List<String>`
  `getSupportedTypes()`
  `void`
  `handleFault(Message messageParam)`
  Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
  `void`
  `handleMessage(Message message)`
  Intercepts a message.

  ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

  `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, isGET, isRequestor, setAfter, setBefore`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttachmentInInterceptor

    public AttachmentInInterceptor()

- ## Method Details

  - ### handleMessage

    public void handleMessage(Message message)
    Description copied from interface: `Interceptor`
    Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

  - ### handleFault

    public void handleFault(Message messageParam)
    Description copied from interface: `Interceptor`
    Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
    Specified by:
      `handleFault` in interface `Interceptor<Message>`
    Overrides:
      `handleFault` in class `AbstractPhaseInterceptor<Message>`

  - ### getSupportedTypes

    protected List<String> getSupportedTypes()